---
layout: post
title:  "onFOSS: The next generation!"
category: news
---
The "onFOSS-LAN" started as an idea by [hribhrib](https://hribhrib.at) to host a LAN-party-like experience online. Yes, the pun with LAN instead of WAN-party was intended but didn't ripe well, however, what instead did ripe well was the whole Event! Only one year after the first public onFOSS-LAN another host joined the team: [DeathByDenim](http://jarno.ca/). Even more people got together to bring this experience to everyone that was interested in FOSS-Gaming, and group-effort hosting started to sprout, mostly by people of the [LibreGaming](https://libregaming.org/) community.

## Rebranding
To bring the onFOSS-LAN to another level, we announce some changes!

### Changing the name
The onFOSS-LAN will be further renamed to just "onFOSS", also to sound more modern and, furthermore, don't confuse the people with the LAN-pun anymore. Although there were heated discussions about it ;)

### Domain onFOSS.org
One problem persisted, that all the resources and information were spread out with no common "place to go", therefore the [onFOSS.org](https://onfoss.org) Domain was acquired to bring everyone to the same point.

### Making a brand
Also, to support the idea of bringing the people together and bring one uniform branding for every host and advertiser to be recognized, there is an effort to provide media for branding anything. For example, there will be Logos, Icons, Banner,... for everyone to use!

## Restructuring
onFOSS.org will be the new place to go with all the information about the event and further links to all resources and communication channels. Here is a draft of the planned structure in an image:

![Planned Structure](/assets/img/2023-05-24-planned-structure.svg){:class="img-fluid"}

### The Main page
The main-page of [onFOSS.org](https://onfoss.org) will be there for general information, resources, lists of supporters, and further links. Also, the blog that you currently read will also be there. This site will be used for all static and general information.

### The Live page
The famous "play." subdomain, that already was used as the landing page of a current hosted onFOSS, will be stripped down to only have relevant information about the current event like timetable and tournament info. All the redundant information will be elevated into the main page.

## Social Platforms
Another issue was the reachability of the upcoming onFOSS events. Although, there was a XMPP/Matrix channel from provided by the community, it was hard to reach out to new people. Thanks to poVoq over at [FreeGameDev](https://freegamedev.net/) there is now a proper bridged channel which also supports IRC in addition. In addition to that, onFOSS is now providing a RSS-feed (also already this post) to build a foundation for further automation of announcements.

### Mastodon
There will also be a onFOSS representation on a Mastodon instance (Probably: https://floss.social/) to reach out further.

### PeerTube
There were already some videos made from footage of onFOSS events, however again, spread out and not findable anymore once one lost the link. Therefore, we happily announce an official onFOSS video channel on (TBA)

### Unofficial
Due to RSS, the community can make automated announcements on their own that bring further visibility outside the onFOSS-bubble. For example, there is a Discord-Server just for the announcements and not bridged to the main communication channel due to privacy and proprietary concerns, but if someone prefers to get notified over there this is now also possible.

## What now?
This is just the beginning of a new era of onFOSS and be hyped for further events! If you want to help somehow just get in contact with us, otherwise, subscribe to our many channels and stay tuned for the next Host to prepare the next event!

## THANK YOU ALL! <3
Concluding the first official blog-post with the most important stuff: Thank you all for supporting the event in any form, and thank you all for the numerous participants of all events! Without you people, this whole event wouldn't exist, and we wouldn't write this post here. So thank you all and see you on the next onFOSS!
